# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import operator
import random

import Countries
from Images import Images

from Common import *
from Commonwx import *

from wxPython.wx import *

class AboutPage(wxPanel):
    def __init__(self, parent, ID):
        wxPanel.__init__(self, parent, ID)

        main_sizer = wxBoxSizer(wxVERTICAL)

        random.seed()
        all_flags = filter(lambda f: f != None, list(zip(*Countries.country_info.values())[5]))
        random.shuffle(all_flags)
        (flag_cut, extra_flags) = divmod(len(all_flags), 4)
        cut_lengths = [flag_cut]*4
        if extra_flags > 2:
            cut_lengths[2] += 1
        if extra_flags > 1:
            cut_lengths[0] += 1
        if extra_flags > 0:
            cut_lengths[3] += 1

        flag_cuts = [0]*3
        sum = 0
        for i in range(len(cut_lengths)-1):
            sum += cut_lengths[i]
            flag_cuts[i] = sum

        self.__add_flags(all_flags[:flag_cuts[0]], main_sizer, wxHORIZONTAL)

        hsizer = wxBoxSizer(wxHORIZONTAL)

        self.__add_flags(all_flags[flag_cuts[0]:flag_cuts[1]], hsizer, wxVERTICAL)

        inside_title = wxStaticBox(self, -1, "")
        inside_sizer = wxStaticBoxSizer(inside_title, wxVERTICAL)
        stext = wxStaticText(self, -1,
                             _("Mattricks, a free helper program for Hattrick players."),
                             style = wxALIGN_CENTRE)
        inside_sizer.Add(stext, 0, wxEXPAND | wxALIGN_CENTRE | wxALL, 5)

        inside_sizer.Add((1, 1), 1, wxEXPAND | wxALIGN_CENTRE | wxALL, 5)
        img = wxStaticBitmap(self, -1, Images.get_bitmap_from_file("mattricks_logotype.png"))
        inside_sizer.Add(img, 0, wxALIGN_CENTRE | wxALL, 5)
        inside_sizer.Add((1, 1), 1, wxEXPAND | wxALIGN_CENTRE | wxALL, 5)

        line = wxStaticLine(self, -1, style = wxLI_HORIZONTAL)
        inside_sizer.Add(line, 0, wxEXPAND | wxALIGN_CENTRE, 0)

        tsizer = wxBoxSizer(wxHORIZONTAL)

        img = wxStaticBitmap(self, -1, Images.get_bitmap_from_file("chpp_logotype.png"))
        tsizer.Add(img, 0, wxALIGN_CENTRE | wxALL, 2)

        stext = wxStaticText(self, -1, _("""This application uses information from
the online game service Hattrick.org. This use has been approved by
the developers and copyright owners of Hattrick.org, Extralives AB"""),
                             style = wxALIGN_CENTRE)
        tsizer.Add(stext, 1, wxEXPAND | wxALIGN_CENTRE | wxALL, 2)

        img = wxStaticBitmap(self, -1, Images.get_bitmap_from_file("chpp_logotype.png"))
        tsizer.Add(img, 0, wxALIGN_CENTRE | wxALL, 2)

        inside_sizer.Add(tsizer, 0, wxEXPAND | wxALIGN_CENTRE | wxALL, 2)

        line = wxStaticLine(self, -1, style = wxLI_HORIZONTAL)
        inside_sizer.Add(line, 0, wxEXPAND | wxALIGN_CENTRE, 0)

        stext = wxStaticText(self, -1,
                             string.join(version_str_with_wx(), "\n"),
                             style = wxALIGN_CENTRE)
        inside_sizer.Add(stext, 0, wxEXPAND | wxALIGN_CENTRE | wxALL, 5)

        hsizer.Add(inside_sizer, 1, wxEXPAND | wxALIGN_CENTRE | wxALL, 2)

        self.__add_flags(all_flags[flag_cuts[1]:flag_cuts[2]], hsizer, wxVERTICAL)

        main_sizer.Add(hsizer, 1, wxEXPAND | wxALIGN_CENTRE | wxALL, 2)

        self.__add_flags(all_flags[flag_cuts[2]:], main_sizer, wxHORIZONTAL)

        self.SetSizer(main_sizer)
        self.SetAutoLayout(True)
        main_sizer.Fit(self)

    def __add_flags(self, flags, sizer, direction):
        flag_sizer = wxBoxSizer(direction)
        for flag in flags:
            img = wxStaticBitmap(self, -1, Images.get_bitmap_from_file(flag))
            if wxPlatform == '__WXMSW__':
                tflag_sizer = wxBoxSizer(direction)
                tflag_sizer.Add(img, 0, wxALIGN_CENTRE | wxALL, 2)
                flag_sizer.Add(tflag_sizer, 1, wxEXPAND | wxALIGN_CENTRE | wxALL, 2)
            else:
                flag_sizer.Add(img, 1, wxALIGN_CENTRE | wxALL, 2)

        sizer.Add(flag_sizer, 0, wxEXPAND | wxALIGN_CENTRE | wxALL, 2)
