# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from Common import *

# countryID : leagueID

country = {
    1: 1,
    2: 2,
    3: 3,
    4: 4,
    5: 5,
    6: 6,
    7: 7,
    8: 8,
    9: 9,
    10: 11,
    11: 12,
    12: 14,
    13: 15,
    14: 17,
    15: 26,
    16: 21,
    17: 18,
    18: 19,
    19: 28,
    20: 29,
    21: 23,
    22: 16,
    23: 25,
    24: 27,
    25: 22,
    26: 24,
    27: 20,
    28: 34,
    29: 30,
    30: 31,
    31: 32,
    32: 33,
    33: 39,
    34: 35,
    35: 36,
    36: 37,
    37: 38,
    38: 44,
    39: 45,
    40: 46,
    41: 47,
    42: 58,
    43: 57,
    44: 51,
    45: 50,
    46: 52,
    47: 56,
    48: 53,
    49: 54,
    50: 55,
    51: 63,
    52: 60,
    53: 59,
    54: 0,
    55: 0,
    56: 61,
    57: 64,
    58: 0,
    59: 0,
    60: 0,
    61: 66,
    62: 0,
    63: 69,
    64: 71,
    65: 70,
    66: 67,
    67: 72,
    68: 73,
    69: 74,
    70: 75,
    71: 76,
    72: 77,
    73: 0,
    74: 0,
    75: 79,
    76: 80,
    77: 81,
    78: 83,
    79: 84,
    80: 85,
    81: 0,
    82: 89,
    83: 88,
    87: 91,
    88: 93,
    89: 94,
    90: 95,
    91: 96,
    92: 97,
    93: 0,
    94: 98,
    95: 99,
    96: 100,
    97: 101,
    98: 102,
    99: 103,
    
    
    }

# country_info : Contains country related information
# leagueID : ( HT-name, local name, currency, is_prefix?, exchange rate related to Sverige, flag name)
country_info = {
    0:  ('Unknown', _('Unknown'), 'Unknown', False, 1, None),
    1:  ('Sverige', _('Sweden'), 'kr', False, 1, 'flag_sverige.png'),
    2:  ('England', _('England'), '', True, 15, 'flag_england.png'),
    3:  ('Deutschland', _('Germany'), 'Euro', False, 10, 'flag_deutschland.png'),
    4:  ('Italia', _('Italy'), 'Euro', False, 10, 'flag_italia.png'),
    5:  ('France', _('France'), 'Euro', False, 10, 'flag_france.png'),
    6:  ('Mxico', _('Mexico'), 'Pesos', False, 1, 'flag_mexico.png'),
    7:  ('Argentina', _('Argentina'), 'Pesos', False, 10, 'flag_argentina.png'),
    8:  ('USA', _('USA'), '$', True, 10, 'flag_usa.png'),
    9:  ('Norge', _('Norway'), 'kr', False, 1, 'flag_norge.png'),
    11: ('Danmark', _('Denmark'), 'kr', False, 1, 'flag_danmark.png'),
    12: ('Suomi', _('Finland'), 'Euro', False, 10, 'flag_suomi.png'),
    14: ('Nederland', _('Netherlands'), 'Euro', False, 10, 'flag_nederland.png'),
    15: ('Oceania', _('Oceania'), 'AU$', False, 5, 'flag_oceania.png'),
    16: ('Brasil', _('Brazil'), 'Real', False, 5, 'flag_brasil.png'),
    17: ('Canada', _('Canada'), 'C$', False, 5, 'flag_canada.png'),
    18: ('Chile', _('Chile'), 'Pesos', False, 0.05, 'flag_chile.png'),
    19: ('Colombia', _('Colombia'), 'Dollar', False, 1, 'flag_colombia.png'),
    20: ('India', _('India'), 'Rupees', False, 0.25, 'flag_india.png'),
    21: ('Ireland', _('Ireland'), 'Euro', False, 10, 'flag_ireland.png'),
    22: ('Nippon', _('Japan'), 'Yen', False, 0.1, 'flag_nippon.png'),
    23: ('Peru', _('Peru'), '$', True, 1, 'flag_peru.png'),
    24: ('Polska', _('Poland'), 'Zloty', False, 2.5, 'flag_polska.png'),
    25: ('Portugal', _('Portugal'), 'Euro', False, 10, 'flag_portugal.png'),
    26: ('Scotland', _('Scotland'), '', True, 15, 'flag_scotland.png'),
    27: ('South Africa', _('South Africa'), 'Rand', False, 1.25, 'flag_south_africa.png'),
    28: ('Uruguay', _('Uruguay'), 'Pesos', False, 1, 'flag_uruguay.png'),
    29: ('Venezuela', _('Venezuela'), 'Bolivares', False, 10, 'flag_venezuela.png'),
    30: ('Hanguk', _('South Korea'), 'Won', False, 0.01, 'flag_south_korea.png'),
    31: ('Prathet Thai', _('Thailand'), 'Baht', False, 0.25, 'flag_prathet_thai.png'),
    32: ('Trkiye', _('Turkey'), 'Lira', False, 10, 'flag_turkiye.png'),
    33: ('Misr', _('Egypt'), 'E', False, 2.5, 'flag_egypt.png'),
    34: ('China', _('China'), 'Yuan', False, 1, 'flag_china.png'),
    35: ('Rossiya', _('Russia'), 'Roubel', False, 0.25, 'flag_rossiya.png'),
    36: ('Espaa', _('Spain'), 'Euro', False, 10, 'flag_espana.png'),
    37: ('Romnia', _('Romania'), 'Lei', False, 0.5, 'flag_romania.png'),
    38: ('Island', _('Iceland'), 'Ikr', False, 0.1, 'flag_island.png'),
    39: ('sterreich', _('Austria'), 'Euro', False, 10, 'flag_osterreich.png'),
    44: ('Belgi', _('Belgium'), 'Euro', False, 10, 'flag_belgie.png'),
    45: ('Malaysia', _('Malaysia'), 'MYR', False, 2.5, 'flag_malaysia.png'),
    46: ('Schweiz', _('Switzerland'), 'CHF', False, 5, 'flag_schweiz.png'),
    47: ('Singapore', _('Singapore'), 'SG$', False, 5, 'flag_singapore.png'),
    50: ('Hellas', _('Greece'), 'Euro', False, 10, 'flag_hellas.png'),
    51: ('Magyarorszg', _('Hungary'), 'eFt', False, 50, 'flag_hungary.png'),
    52: ('Ceska republik', _('Czech Republic'), 'Koruny', False, 0.25, 'flag_ceska.png'),
    53: ('Latvija', _('Latvia'), 'Lats', False, 20, 'flag_latvija.png'),
    54: ('Indonesia', _('Indonesia'), 'Rp', False, 0.001, 'flag_indonesia.png'),
    55: ('Pilipinas', _('Philippines'), 'Pesos', False, 0.25, 'flag_pilipinas.png'),
    56: ('Eesti', _('Estonia'), 'Krooni', False, 0.5, 'flag_eesti.png'),
    57: ('Srbija i Crna Gora', _('Serbia and Montenegro'), 'Dinar', False, 1, 'flag_serbia.png'),
    58: ('Hrvatska', _('Croatia'), 'Kuna', False, 1, 'flag_hrvatska.png'),
    59: ('Hong Kong', _('Hong Kong'), 'HKD', False, 1, 'flag_hong_kong.png'),
    60: ('Taiwan', _('Taiwan'), '$', True, 10, 'flag_taiwan.png'),
    61: ('Cymru', _('Wales'), '', True, 15, 'flag_wales.png'),
    62: ('Bulgaria', _('Bulgaria'), 'Lev', False, 5, 'flag_bulgaria.png'),
    63: ('Israel', _('Israel'), 'NIS', False, 2, 'flag_israel.png'),
    64: ('Slovenija', _('Slovenia'), 'Euro', False, 10, 'flag_slovenija.png'),
    66: ('Lietuva', _('Lithuania'), 'Lt', False, 2.5, 'flag_lietuva.png'),
    67: ('Slovakia', _('Slovakia'), 'Koruna', False, 0.2, 'flag_slovakia.png'),
    68: ('Ukraina', _('Ukraine'), 'Hryvnia', False, 2, 'flag_ukraina.png'),
    69: ('Bosnia', _('Bosnia'), 'Marka', False, 5, 'flag_bosnia.png'),
    70: ('Vietnam', _('Vietnam'), 'Dong', False, 1, 'flag_vietnam.png'),
    71: ('Pakistan', _('Pakistan'), 'Rupee', False, 0.2, 'flag_pakistan.png'),
    72: ('Paraguay', _('Paraguay'), 'PYG', False, 0.002, 'flag_paraguay.png'),
    73: ('Ecuador', _('Ecuador'), '$', True, 10, 'flag_ecuador.png'),
    74: ('Bolivia', _('Bolivia'), 'BOB', False, 1, 'flag_bolivia.png'),
    75: ('Nigeria', _('Nigeria'), 'kNaria', False, 0.1, 'flag_nigeria.png'),
    76: ('Froya', _('Faroe Islands'), 'Kr', False, 1, 'flag_foroya.png'),
    77: ('Al Maghrib', _('Morocco'), 'Dirhams', False, 1, 'flag_al_maghrib.png'),
    79: ('Saudi Arabia', _('Saudi Arabia'), 'SAR', False, 2.5, 'flag_saudi_arabia.png'),
    80: ('Tunisiyah', _('Tunisia'), 'Dinars', False, 7, 'flag_tunisiyah.png'),
    81: ('Costa Rica', _('Costa Rica'), 'Colon', False, 0.004, 'flag_costa_rica.png'),
    83: ('United Arab Emirates', _('United Arab Emirates'), 'Dirhams', False, 4, 'flag_emirates.png'),
    84: ('Luxembourg', _('Luxembourg'), 'Euro', False, 10, 'flag_luxembourg.png'),
    85: ('Iran', _('Iran'), 'Rial', False, 0.001, 'flag_iran.png'),
    88: ('Republica Dominicana', _('Dominican Republic'), 'pesos', False, 0.5, 'flag_dominican.png'),
    89: ('Cyprus', _('Cyprus'), 'CYP', False, 5, 'flag_cyprus.png'),
    91: ('Byelarus', _('Belarus'), 'BYR', False, 0.005, 'flag_belarus.png'),
    93: ('Northern Ireland', _('Northern Ireland'), '', True, 15, 'flag_northern_ireland.png'),
    94: ('Jamaica', _('Jamaica'), 'JMD', False, 0.5, 'flag_jamaica.png'),
    95: ('Kenya', _('Kenya'), 'KES', False, 0.5, 'flag_kenya.png'),
    96: ('Panama', _('Panama'), '$', True, 10, 'flag_panama.png'),
    97: ('FYR Macedonia', _('FYR Macedonia'), 'MKD', False, 0.5, 'flag_macedonia.png'),
    98: ('Shqiperia', _('Albania'), 'lek', False, 0.05, 'flag_albania.png'),
    99: ('Honduras', _('Honduras'), 'HNL', False, 5, 'flag_honduras.png'),
    100: ('El Salvador', _('El Salvador'), '$', True, 10, 'flag_el_salvador.png'),
    101: ('Malta', _('Malta'), 'lira', False, 20, 'flag_malta.png'),
    102: ('Kyrgyzstan', _('Kyrgyzstan'), 'som', False, 0.2, 'flag_kyrgyzstan.png'),
    103: ('Moldova', _('Moldova'), 'lei', False, 0.5, 'flag_moldova.png'),
    }

