# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys
import getpass

from Database import databases

class FetchTextDialog:
    """Default way of displaying progress."""
    def __init__(self, title):
        print title

    def Update(self, num, text):
        print "  " + "."*num + "  " + text

def text_password_dialog():
    """Default dialog for getting loginname/passwords."""
    sys.stdout.write(_("Hattrick login name") + ": ")
    loginname = sys.stdin.readline().strip()
    password = getpass.getpass(_("Hattrick password") + ": ")

    databases.sets(None, True, {"Mattricks.loginname": loginname,
                                "Mattricks.password": password})
    return (loginname, password)

def text_error_msg_dialog(message):
    """Default text dialog for displaying error messages."""
    sys.stdout.write(_("Error: %s") % message)
    sys.stdout.write("\n")
    sys.stdout.flush()

always_progress_dialog = False

progress_dialog_maker_func = (lambda title: FetchTextDialog(title))
destroy_dialog_maker_func = (lambda dlg: None)

password_getting_dialog = text_password_dialog

error_message_dialog = text_error_msg_dialog
