# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import XMLParse

from wxPython.wx import *
from Commonwx import *
from Common import *

formations = [
    "343",
    "352",
    "433",
    "451",
    "532",
    "541"]

class FormationDialog(wxDialog):

    def __init__(self, parent, tdata = None):

        pos = wxDefaultPosition
        size = wxDefaultSize,
        style = wxDEFAULT_DIALOG_STYLE

        wxDialog.__init__(self, parent, -1, _("Formations"), pos, wxSize(500, 400), style, "Uppstllningar")

        sizer = wxBoxSizer(wxVERTICAL)

        row = 0
        row_col_alts = [0xF0F0F0, 0xE8E8E8]
        fgs=wxFlexGridSizer(cols=2, vgap=0, hgap=0)
        for i in range(2):
            fgs.AddGrowableCol(i)
        formationtext=wxStaticText(self,-1,_("Formation") + "   ")
        SetTextFace(formationtext, FACE_BOLD)
        fgs.Add(formationtext)
        exptext=wxStaticText(self,-1,_("Experience"))
        SetTextFace(exptext, FACE_BOLD)
        fgs.Add(exptext)

        if tdata is None:
            tdata = XMLParse.get(["training"], display = True)

        for text in formations:
            spanel = SimpleColouredPanel(self, -1,
                                          "#%06X" % (row_col_alts[row % 2] & 0xCCCCCC))
            spanel.AddChild(wxStaticText(spanel,-1,text[0] + "-" + text[1] + "-" + text[2]), 1,
                            wxEXPAND | wxADJUST_MINSIZE | wxALIGN_LEFT | wxALL, 2)
            fgs.Add(spanel, 0,
                    wxEXPAND | wxALIGN_CENTRE | wxADJUST_MINSIZE | wxLEFT, 0)
            (expnum, exptext) =tdata.get(("Team.Experience%s" % text))
            spanel = SimpleColouredPanel(self, -1,
                                         "#%06X" % (row_col_alts[row % 2] & 0xFFFFFF))
            spanel.AddChild(wxStaticText(spanel,-1,exptext), 1,
                            wxEXPAND | wxADJUST_MINSIZE | wxALIGN_LEFT | wxALL, 2)
            fgs.Add(spanel, 0,
                    wxEXPAND | wxALIGN_CENTRE | wxADJUST_MINSIZE | wxLEFT, 0)
            row += 1
		    


        sizer.Add(fgs, 0, wxEXPAND | wxALIGN_CENTER | wxALL, 10)

        # Ok / Cancel buttons

        button = wxButton(self, wxID_OK, _("Ok"))
        button.SetDefault()

        sizer.Add(button, 0, wxALIGN_RIGHT | wxALL, 10)

        self.SetSizer(sizer)
        self.SetAutoLayout(True)
        sizer.Fit(self)
