# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import sys
import os.path

# Basic error handling
def init_error_handling():
    class Err:
        def __init__(self, file, old_sys_err):
            self.file = file
            self.old_sys_err = old_sys_err
            self.this_exception = None

        def write(self, s):
            if self.file:
                self.file.write(s)
            self.old_sys_err.write(s)
            if self.this_exception is not getattr(sys, "last_traceback", None):
                self.this_exception = getattr(sys, "last_traceback", None)
                self.file.write("\n")

    dir = os.path.abspath(os.path.dirname(sys.argv[0]))
    filename = os.path.join(dir, "errorlog.txt")
    old_sys_err = sys.stderr
    try:
        file = open(filename, 'w')
    except:
        file = None
    sys.stderr = Err(file, old_sys_err)

# Internationalization
def init_i18n():
    import I18n

    I18n.install_translation()

def start():
    import Commandline

    Commandline.parse_and_start()
