# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import random
import XMLDataInfo
import Players
import Countries
import Config

from Images import Images
from wxPython.wx import *
from Common import *
from Commonwx import *

abilities=[
        ['Age', 23, -1],
        ['Agreeability', -1, 1],
        ['TSI', 0, 100],
        ['Aggressiveness', -1, 1],
        ['Salary', 4000, 1000],
        ['Honesty', -1, 1],
        ['Specialty', -1, 1],
        ['Leadership', 0, 1],
        None,
        None,
        ['StaminaSkill', 0, 1],
        ['KeeperSkill', 0, 1],
        ['PlaymakerSkill', 0, 1],
        ['PassingSkill', 0, 1],
        ['WingerSkill', 0, 1],
        ['DefenderSkill', 0, 1],
        ['ScorerSkill', 0, 1],
        ['SetPiecesSkill', 0, 1]]

class JuniorSpy(wxDialog):

    ID_BUTTON_BASE=400
    ID_SHOW_BUTTON=450
    ID_RANDOM_BUTTON=451
    def __init__(self, parent, player, style = 1):

        pos = wxDefaultPosition
        size = wxDefaultSize,
        wstyle = wxDEFAULT_DIALOG_STYLE

        wxDialog.__init__(self, parent, -1, player.name, pos, wxSize(500, 400), wstyle, player.name)

        self.player = player
        
        sizer = wxBoxSizer(wxVERTICAL)

        self.style=style
        self.player_id=player.id

        if Config.config.get("Format", "MV or TSI") == "MV":
            abilities[2]=['Marketvalue', 0, 100000]

        hsizer = wxBoxSizer(wxHORIZONTAL)
        
        nametext=wxStaticText(self,-1,player.name + " (" + str(player.id) + ")")
        SetTextFace(nametext, FACE_BOLD | FACE_BIG)
        hsizer.Add(nametext, 0, wxALL,10)

        cid = Countries.country.get(player.get("CountryID"))
        cinfo = Countries.country_info.get(cid)
        if cinfo is not None:
            img = Images.get_bitmap_from_file(cinfo[5])
            sbmp = wxStaticBitmap(self, -1, img, style = wxALIGN_LEFT)
            hsizer.Add(sbmp, 0, wxALL, 10)

        sizer.Add(hsizer, 0, wxALL, 1)

        offset=0
        row_col_alts = [0xF0F0F0, 0xF0F0F0, 0xE8E8E8, 0xE8E8E8]
        colour_count=0
        if player is not None:
            fgs=wxFlexGridSizer(cols=4, vgap=0, hgap=0)
            for text in abilities:
                if text == None:
                    fgs.Add((15,15))
                    fgs.Add((15,15))
                else:
                    fgs.Add(wxButton(self,JuniorSpy.ID_BUTTON_BASE+offset,Players.player_attr_conf[text[0]][0]),0,wxEXPAND)
                    dispstring="disp"+text[0]
                    spanel=SimpleColouredPanel(self, -1,
                                                 "#%06X" % (row_col_alts[colour_count % 4]))
                    stext=wxStaticText(spanel,-1,"                                 ")
                    spanel.AddChild(stext, 1,
                                        wxEXPAND | wxALIGN_LEFT | wxALL, 2)
                    setattr(self,dispstring,stext)
                    fgs.Add(spanel,0,wxEXPAND | wxALIGN_CENTRE  | wxLEFT)
                    setattr(self,"val"+text[0],text[1])
                    EVT_BUTTON(self, JuniorSpy.ID_BUTTON_BASE+offset, self.OnButton)
                    colour_count+=1
                offset+=1

            sizer.Add(fgs, 0, wxALIGN_CENTER | wxALL, 10)

        line = wxStaticLine(self, -1, style = wxLI_HORIZONTAL)
        sizer.Add(line, 0, wxEXPAND | wxALIGN_CENTRE, 5)

        # Ok / Cancel buttons
        hsizer = wxBoxSizer(wxHORIZONTAL)
        button = wxButton(self, wxID_OK, _("Ok"))
        button.SetDefault()
        showbutton = wxButton(self, JuniorSpy.ID_SHOW_BUTTON, _("Show everything"))
        randombutton = wxButton(self, JuniorSpy.ID_RANDOM_BUTTON, _("Random"))

        hsizer.Add(showbutton, 0, wxALL | wxALIGN_LEFT, 5)
        hsizer.Add(randombutton, 0, wxALL | wxALIGN_LEFT, 5)
        hsizer.Add((1, 1), 1, wxEXPAND)
        hsizer.Add(button, 0, wxALIGN_RIGHT | wxALL, 5)

        sizer.Add(hsizer, 0, wxALL | wxALIGN_RIGHT | wxEXPAND)

        self.SetSizer(sizer)
        self.SetAutoLayout(True)
        sizer.Fit(self)

        EVT_BUTTON(self, JuniorSpy.ID_SHOW_BUTTON, self.OnShowAll)
        EVT_BUTTON(self, JuniorSpy.ID_RANDOM_BUTTON, self.OnShowRandom)

    def OnButton(self, event):
        button_id=event.GetId()
        id=button_id-JuniorSpy.ID_BUTTON_BASE
        self.ShowValue(id)

    def OnShowRandom(self,event):
        ablist=[]
        offset=0
        for ability in abilities:
            if ability != None:
                button=self.FindWindowById(JuniorSpy.ID_BUTTON_BASE+offset)
                if button.IsEnabled():
                    ablist.append(offset)
            offset+=1
        if len(ablist) > 0:
            id=random.randint(1,len(ablist))-1
            self.ShowValue(ablist[id])

    def OnShowAll(self, event):
        offset=0
        for ability in abilities:
            if ability != None:
                text=getattr(self, "disp"+ability[0])
                (dummy, dummy, func) = XMLDataInfo.xml_known_data["all players"][("Team.PlayerList.Player.%s" % ability[0])]
                pval=self.player.get(ability[0], 0)
                if func is not None:
                    text.SetLabel(func(pval))
                else:
                    text.SetLabel(str(pval))
                SetTextFace(text, FACE_BOLD)
                button=self.FindWindowById(JuniorSpy.ID_BUTTON_BASE+offset)
                button.Disable()
            offset+=1
        self.Layout()

    def ShowValue(self,id):
        ability=abilities[id]
        text=getattr(self, "disp"+ability[0])
        val=getattr(self, "val"+ability[0])
        inc=ability[2]
        (dummy, dummy, func) = XMLDataInfo.xml_known_data["all players"][("Team.PlayerList.Player.%s" % ability[0])]

        valtmp = val+inc
        pval=self.player.get(ability[0], 0)

        if inc > 0:
            if valtmp >= pval:
                valtmp = pval
        else:
            if valtmp <= pval:
                valtmp = pval
                
        if self.style == 0:
            valtmp = pval

        if func is not None:
            text.SetLabel(func(valtmp))
        else:
            text.SetLabel(str(valtmp))
            
        setattr(self,"val"+ability[0],valtmp)

        if valtmp == pval:
            SetTextFace(text, FACE_BOLD)
            button=self.FindWindowById(id+JuniorSpy.ID_BUTTON_BASE)
            button.Disable()
        self.Layout()    

class JuniorSpySelect(wxDialog):

    ID_BUTTON_BASE=400

    def __init__(self, parent):

        pos = wxDefaultPosition
        size = wxDefaultSize,
        style = wxDEFAULT_DIALOG_STYLE

        wxDialog.__init__(self, parent, -1, _("Junior Spy"), pos, wxSize(500, 400), style, "Junior Spy")

        sizer = wxBoxSizer(wxVERTICAL)

        sizer.Add(wxStaticText(self, -1, _("Player")),0,wxALL, 10)
        self.listbox = wxListBox(self, -1, style=wxLB_SINGLE)
        sizer.Add(self.listbox,0,wxALL,5)

        self.player_list=Players.Players()
        self.pids=self.player_list.all_players.keys()
        self.pids.sort()
        
        for pid in self.pids:
            self.listbox.Append(self.player_list.all_players.get(pid).name)


        self.listbox.SetSelection(self.listbox.GetCount()-1)

        sizer.Add(wxStaticText(self, -1, _("Display style")), 0, wxALL, 10)

        styles = [_("Direct"), _("Step")]
        self.style = wxChoice(self, -1, choices=styles)
        self.style.SetSelection(1)
        sizer.Add(self.style, 0, wxALL, 5)

        # Ok / Cancel buttons
        button = wxButton(self, wxID_OK, _("Ok"))
        button.SetDefault()

        sizer.Add(button, 0, wxALIGN_RIGHT | wxALL, 10)

        self.SetSizer(sizer)
        self.SetAutoLayout(True)
        sizer.Fit(self)

        EVT_BUTTON(self, wxID_OK, self.OnOK)


    def OnOK(self, event):
        id=self.listbox.GetSelection()
        style=self.style.GetSelection()
        pid = self.pids[id]
        player = self.player_list.all_players.get(pid)
        if player is not None:
            dlg = JuniorSpy(self,player,style)
            self.EndModal(wxID_OK)
            dlg.ShowModal()
            dlg.Destroy()

