# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

from Common import *

import string
import Countries

import Terms
import XMLParse

class TeamInfo:
    def __init__(self, team_id, force_update=False, progress_dialog=True):
        self.__extract_data(team_id, force_update, progress_dialog)

    def __extract_data(self, team_id, f_upd, p_dlg):
        data = XMLParse.get(["team details", team_id], force_update=f_upd, progress_dialog = p_dlg)

        self.team_name = data.get("Team.TeamName", "")
        self.league_id = data.get("Team.League.LeagueID", "")
        self.league_name = data.get("Team.League.LeagueName", "")
        self.local_league_name = Countries.country_info[self.league_id][1]
        self.league_level_name = data.get("Team.LeagueLevelUnit.LeagueLevelUnitName", "")
        self.league_level_id = data.get("Team.LeagueLevelUnit.LeagueLevelUnitID", "")
