# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import time

def construct_full_version(major, minor, type, type_num, cvs):
    base_version = str(major) + "." + str(minor)
    if cvs:
        cvs_version = "+cvs"
    else:
        cvs_version = ""

    if type == "release":
        return base_version + cvs_version
    else:
        if type_num == None:
            return base_version + "_" + type + cvs_version
        else:
            return base_version + "_" + type + str(type_num) + cvs_version

version_major = 0
version_minor = 7

# TODO: Fix so that this is the time of the cvs checkout, not current time.
cvsdate_str = time.strftime("%Y%m%d",time.localtime(time.time()))

# Either "release", "cvs", "beta" or anything else of importance.
version_type = "release"
version_type_num = None
version_cvs = False

version = construct_full_version(version_major,
                                 version_minor,
                                 version_type,
                                 version_type_num,
                                 version_cvs)

base_version = str(version_major) + "." + str(version_minor)
