# -*- coding: iso-8859-1 -*-

# Mattricks, a free helper program for hattricks players.
# Copyright (C) 2003-2004 Mattricks Team
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

import Version
import httplib
import urllib
import Fetch
import socket

from wxPython.wx import *


def check_version(parent):
    base_url = "http://www.lysator.liu.se/mattricks/version/"

    ret = wxID_OK
    
    default_to = socket.getdefaulttimeout()
    socket.setdefaulttimeout(2)

    sbar=parent.GetStatusBar()
    sbar.SetRange(2)
    pbw = parent.GetPBW()
    pbw.progress_start(_("Checking for new version..."))
    sbar.Update(0, "")
    ver = '0'
    o = Fetch.MattricksURLopener()
    try:
        u = o.open(base_url+"version.txt")
        resp_str = u.read()
    except IOError, e:
        pbw.progress_end()
        socket.setdefaulttimeout(default_to)
        return wxID_OK

    if  resp_str[0] == "<":
        socket.setdefaulttimeout(default_to)
        pbw.progress_end()
        return wxID_OK

    resp_list = resp_str.split()
    ver = resp_list[0]
    
    if ver > Version.base_version:
        sbar.SetBaseValue(1)
        sbar.PushExtraMessage(_("New version available! Getting info..."))
        sbar.Update(0, "")
        try:
            u = o.open(base_url+ver+".txt")
            news = u.read()
        except IOError, e:
            news = _("Release information not available.")

        sbar.SetBaseValue(2)
        sbar.Update(0, "")
        dlg = VersionDialog(parent, news, ver)
        ret = dlg.ShowModal()
    pbw.progress_end()
    socket.setdefaulttimeout(default_to)
    return ret
    
class VersionDialog(wxDialog):

    def __init__(self, parent, text, ver):
        wxDialog.__init__(self, parent, -1, _("New version available (%s)") % (ver),
                          style = wxRESIZE_BORDER | wxCAPTION)

        main_sizer = wxBoxSizer(wxVERTICAL)

        stext = wxStaticText(self, -1,
                             _("""There is a new version of Mattricks available.
Go to http://www.lysator.liu.se/mattricks/ and fetch the new version."""))
        main_sizer.Add(stext, 0, wxEXPAND | wxALL, 5)

        news_ctrl = wxTextCtrl(self, -1,
                                    size = (400, 200),
                                    style = wxTE_MULTILINE | wxTE_READONLY | wxHSCROLL)
        news_ctrl.SetValue(text)

        main_sizer.Add(news_ctrl, 1, wxEXPAND | wxALL, 5)

        line = wxStaticLine(self, -1, style = wxLI_HORIZONTAL)

        main_sizer.Add(line, 0, wxEXPAND | wxALIGN_CENTRE, 5)

        hsizer = wxBoxSizer(wxHORIZONTAL)
        
        button = wxButton(self, wxID_CANCEL, _("Cancel fetching"))
        hsizer.Add(button, 0, wxALIGN_RIGHT | wxALL, 5)
        button = wxButton(self, wxID_OK, _("Continue fetching"))
        button.SetDefault()
        hsizer.Add(button, 0, wxALIGN_RIGHT | wxALL, 5)

        main_sizer.Add(hsizer, 0, wxALIGN_RIGHT | wxALL, 5)

        self.SetSizer(main_sizer)
        self.SetAutoLayout(True)
        main_sizer.Fit(self)

        EVT_BUTTON(self, wxID_OK, self.OnOK)
        EVT_BUTTON(self, wxID_CANCEL, self.OnCancel)

    def OnOK(self, event):
            self.EndModal(wxID_OK)

    def OnCancel(self, event):
            self.EndModal(wxID_CANCEL)
